Make it easier to check upper bounds with repoman.

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Make it easier to check upper bounds with repoman.

crocket
In other words, since repoman doesn't warn a repository manager about upper bound violations, the manager often breaks dependencies.
It is often a problem with haskell overlay.

Do developers oppose https://bugs.gentoo.org/555266 ?
What do you think of the issue?
Reply | Threaded
Open this post in threaded view
|

Re: Make it easier to check upper bounds with repoman.

Duncan-42
crocket posted on Thu, 01 Mar 2018 21:15:24 +0900 as excerpted:

> https://github.com/gentoo-haskell/gentoo-haskell/issues/669 led me to
> https://bugs.gentoo.org/555266
>
> In other words, since repoman doesn't warn a repository manager about
> upper bound violations, the manager often breaks dependencies.
> It is often a problem with haskell overlay.
>
> Do developers oppose https://bugs.gentoo.org/555266 ?
> What do you think of the issue?

No apparent opposition, just not sufficient interest or need (at least
since 2015, when the bug was filed) from those with the necessary coding
skills to push it up in priority enough to get a patch for repoman.  
There has simply always been something else with a higher priority.

Apparently haskell is most affected, but presumably nobody with the
haskell team has either the repoman familiarity or the time to get it,
prioritized high enough based on the severity of the problem to actually
do something about it.

So the problem remains...

--
Duncan - List replies preferred.   No HTML msgs.
"Every nonfree program has a lord, a master --
and if you use the program, he is your master."  Richard Stallman